package auto;

/**
 * @author Boris Yartsev
 */
public abstract class ControlAutomaton implements Automaton {
    protected boolean stateChanged = false;

    protected int state;
    protected int id;
    protected int initialState;

    public ControlAutomaton(int id) {
        this.id = id;
    }

    public void init() {
        state = initialState;
        stateChanged = false;
    }

    public void updateAutoState(int event, int data) {
    }

    public int getAutoState() {
        return state;
    }

    public void setAutoState(int state) {
        this.state = state;
    }

    public int getId() {
        return id;
    }

    public abstract void addCommand(int autoId, int commandId);

    public String toString() {
        return "A" + getId() + ":" + getAutoState();
    }
}
